Bug 128661 - [NEW PORT]www/rubygem-httparty:Ruby Library that Makes HTTP Fun Again
Summary: [NEW PORT]www/rubygem-httparty:Ruby Library that Makes HTTP Fun Again
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-07 06:10 UTC by wenheping
Modified: 2009-02-19 06:50 UTC (History)
0 users

See Also:


Attachments
file.shar (5.83 KB, text/plain)
2008-11-07 06:10 UTC, wenheping
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description wenheping 2008-11-07 06:10:02 UTC
httparty is a Ruby library that makes HTTP fun again!

It's feautures:

* Easy get, post, put, delete requests
* Basic http authentication
* Default request query string parameters (ie: for api
keys that are needed on each request)
* Automatic parsing of JSON and XML into ruby hashes
based on response content-type

WWW:    http://rubyforge.org/projects/httparty/

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-11-07 06:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 wenheping 2008-11-09 22:50:35 UTC
It require rubygem-activesupport-2.1.2:
http://www.freebsd.org/cgi/query-pr.cgi?pr=128635
Comment 3 Martin Wilke freebsd_committer 2008-11-15 23:58:54 UTC
State Changed
From-To: open->suspended

It require rubygem-activesupport-2.1.2.
Comment 4 Martin Wilke freebsd_committer 2009-01-18 12:05:07 UTC
Responsible Changed
From-To: miwi->clsung

part of rubygem update, could you please deal with them.
Comment 5 Cheng-Lung Sung freebsd_committer 2009-02-19 06:47:18 UTC
State Changed
From-To: suspended->closed

New port added. Thank You.
Comment 6 dfilter service freebsd_committer 2009-02-19 06:47:23 UTC
clsung      2009-02-19 06:47:09 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/rubygem-httparty Makefile distinfo pkg-descr 
  Log:
  httparty is a Ruby library that makes HTTP fun again!
  
  It's feautures:
  
  * Easy get, post, put, delete requests
  * Basic http authentication
  * Default request query string parameters (ie: for api
    keys that are needed on each request)
  * Automatic parsing of JSON and XML into ruby hashes
  based on response content-type
  
  WWW: http://rubyforge.org/projects/httparty/
  
  PR:             ports/128661
  Submitted by:   Wen Heping <wenheping_AT_gmail dot com>
  
  Revision  Changes    Path
  1.2267    +1 -0      ports/www/Makefile
  1.1       +22 -0     ports/www/rubygem-httparty/Makefile (new)
  1.1       +3 -0      ports/www/rubygem-httparty/distinfo (new)
  1.1       +12 -0     ports/www/rubygem-httparty/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"